Subject: bug#7468: 24.0.50; Isearch highlighting

From: Dani Moncayo <[email-masked]>
Date: Mon, 22 Nov 2010 21:57:52 +0100

Hello,

I think I've found one (strange) situation where Isearch highlighting
doesn't seem to work well.

Steps to reproduce:
 0) Start emacs (emacs -Q).
 1) Open Emacs Manual (C-h r)
 2) Go to node "(emacs)Error in Isearch" (g Error <TAB> <RET>)
 3) Search for the word "foott" (C-s foott)
 4) Remove the las "t" (<DEL>)

** Expected result: The last 3 occurrences of the word "foot" are
highlighted again with the `lazy-highlight' face.
** Actual result: Those 3 words don't get highlighted at all.

I've also tried to copy that section of the manual into a brand new
buffer, but there I can't reproduce the problem.

-- 
Dani Moncayo

In GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.0)
 of 2010-11-19 on dani-P5PL2
Windowing system distributor `The X.Org Foundation', version 11.0.10900000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: es_ES.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t